# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

# When updating this driver, please update ldetect-lst with new pci ids.
# for example:
# merge2pcitable.pl ati_pciids_csv src/pcidb/ati_pciids.csv pcitable > pcitable.new
# - Anssi

Summary:	X.org driver for ATI Technologies
Name:		x11-driver-video-ati
Epoch:		2
Version:	7.4.0
Release:	2
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.bz2

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm) >= 2.4.54
BuildRequires:	pkgconfig(libdrm_radeon) >= 2.4.54
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(glamor) >= 0.6

Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)
#Suggests:	x11-driver-video-r128
#Suggests:	x11-driver-video-mach64
Suggests:	linux-firmware

%description
x11-driver-video-ati is the X.org driver for ATI Technologies.

%files
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-ati-%{version}
sed -i '/USE_XAA, 1/d' configure.ac

%build
autoreconf -ifs
%configure2_5x --enable-glamor --disable-static
%make

%install
%makeinstall_std

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:7.4.0-2
+ Revision: 1b406fe
- MassBuild#440: Increase release tag


